Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Refcounted_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER > Class Template Reference

Defines a strategy to be followed for cleaning up entries which are svc_handlers from a container. More...

`#include <Cleanup_Strategies_T.h>`

Inheritance diagram for ACE_Refcounted_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >:

[legend]
Collaboration diagram for ACE_Refcounted_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >:

[legend]
List of all members.

## Public Methods
virtual int | cleanup (CONTAINER &container, KEY *key, VALUE *value)
| The method which will do the cleanup of the entry in the container.

## Detailed Description

### template<class KEY, class VALUE, class CONTAINER>
class ACE_Refcounted_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >

Defines a strategy to be followed for cleaning up entries which are svc_handlers from a container.

The entry to be cleaned up is removed from the container. Here, since we are dealing with recyclable svc_handlers with addresses which are refcountable specifically, we perform a couple of extra operations and do so without any locking.

## Member Function Documentation

template<class KEY, class VALUE, class CONTAINER>
int ACE_Refcounted_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >::cleanup | ( | CONTAINER & | container,
|  | KEY * | key,
|  | VALUE * | value
| ) | `[virtual]`

| The method which will do the cleanup of the entry in the container. Reimplemented from ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER >.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Cleanup_Strategies_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Cleanup_Strategies_T.cpp